# vmm.h File Reference

`#include <vmm/paging.h>`
`#include <ubixos/types.h>`

Go to the source code of this file.

## Data Structures

struct | mMap

## Defines

#define | memAvail 1
#define | memNotavail 2
#define | vmmID -3
#define | vmmMemoryMapAddr 0xE6667000

## Functions

int | vmmInit ()
int | vmmMemMapInit ()
int | countMemory ()
uInt32 | vmmFindFreePage (pidType pid)
int | freePage (uInt32 pageAddr)
int | adjustCowCounter (uInt32 baseAddr, int adjustment)
void | vmmFreeProcessPages (pidType pid)

## Variables

mMap * | vmmMemoryMap
int | numPages
uInt32 | freePages

## Define Documentation

#define memAvail 1

#define memNotavail 2

#define vmmID -3

#define vmmMemoryMapAddr 0xE6667000

## Function Documentation

int adjustCowCounter | ( | uInt32 | baseAddr,
|  | int | adjustment
| ) |

int countMemory | ( |  | ) |

int freePage | ( | uInt32 | pageAddr | ) |

uInt32 vmmFindFreePage | ( | pidType | pid | ) |

void vmmFreeProcessPages | ( | pidType | pid | ) |

int vmmInit | ( |  | ) |

int vmmMemMapInit | ( |  | ) |

## Variable Documentation

uInt32 freePages

int numPages

mMap* vmmMemoryMap